/*********************************************************************

 freo | 漫画表示プラグイン (2012/11/26)

 Copyright(C) 2009-2012 freo.jp

*********************************************************************/

$(document).ready(function() {
	var matches = null;
	var first   = 0;
	var last    = 0;

	matches = $('a#first').attr('href').match(/#page-(\d+)/);
	if (matches && matches[1]) {
		first = parseInt(matches[1]);
	}

	matches = $('a#last').attr('href').match(/#page-(\d+)/);
	if (matches && matches[1]) {
		last = parseInt(matches[1]);
	}

	if (media_comic_cover == false) {
		var show;
		if (media_comic_columns == 2) {
			show = '1-2';
		} else {
			show = '1';
		}

		$('#status').html('全<em>' + last + '</em>ページ / <em>' + show + '</em>ページ目を表示');
	} else {
		$('#status').html('全<em>' + (last - 1) + '</em>ページ');
	}

	$('div#menu a, div#media_comic a').click(function() {
		if ($(this).attr('rel') == 'external') {
			return true;
		}

		var page = 0;

		matches = $(this).attr('href').match(/#page-(\d+)/);
		if (matches && matches[1]) {
			page = parseInt(matches[1]);
		}

		if (page < first) {
			return false;
		} else if (page > last) {
			return false;
		}
		if (media_comic_columns == 2 && media_comic_cover == false && media_comic_all % 2 == 0 && page == last) {
			return false;
		}

		var previous = page - media_comic_columns;
		var next     = page + media_comic_columns;

		if (previous < first) {
			previous = first;
		} else if (page == last) {
			previous = last - media_comic_columns;
		}

		if (next > last) {
			next = last;
		} else if (page == first) {
			next = first + media_comic_columns;
		}

		if (page == 0) {
			previous = 0;
			next     = 1;
		}

		$('a#previous').attr('href', '#page-' + previous);
		$('a#next').attr('href', '#page-' + next);

		$('html, body').animate({
			scrollTop: $('#page-' + page).offset().top - media_comic_margin
		}, 0);

		var show;
		if (media_comic_columns == 2) {
			if (media_comic_cover == false && page == last) {
				show = page;
			} else {
				show = page + '-' + (page + 1);
			}
		} else {
			show = page;
		}

		if (media_comic_cover == false) {
			$('#status').html('全<em>' + last + '</em>ページ / <em>' + show + '</em>ページ目を表示');
		} else if (page != first && page != last) {
			$('#status').html('全<em>' + (last - 1) + '</em>ページ / <em>' + show + '</em>ページ目を表示');
		} else {
			$('#status').html('全<em>' + (last - 1) + '</em>ページ');
		}

		return false;
	});
});
